Segmentation fault with curl-openssl

Today I found out that composer wasn’t working, I quickly realised that it was a curl issue and while I trying to check why, I saw that while curl package is working fine, curl-openssl isn’t.

I removed php, php-imap (from another tap), phplint and curl-openssl and re-installed php but curl-openssl is a dependency for php package, and now I’m kind of stuck since I’m not sure how to resolve the issue and why is it happening.

There are all my installed packages:

Any suggestion or hint is very welcome!

Thanks!

It’s a bug in curl and will probably be fixed in the next release.

1 Like